GetWorkflowExecution
POST/gitpod.v1.WorkflowService/GetWorkflowExecution
Gets details about a specific workflow execution.
Use this method to:
- Check execution status
- View execution results
- Monitor execution progress
Examples
-
Get execution details:
Retrieves information about a specific execution.
workflowExecutionId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
GetWorkflowExecution
curl https://app.gitpod.io/api/gitpod.v1.WorkflowService/GetWorkflowExecution \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{}'{
"workflowExecution": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"metadata": {
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"executor": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"finishedAt": "2019-12-27T18:11:19.117Z",
"startedAt": "2019-12-27T18:11:19.117Z",
"workflowId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"spec": {
"action": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"desiredPhase": "WORKFLOW_EXECUTION_PHASE_UNSPECIFIED",
"report": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"session": "session",
"trigger": {
"context": {
"agent": {
"prompt": "prompt"
},
"fromTrigger": {},
"projects": {
"projectIds": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
]
},
"repositories": {
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"repoSelector": {
"repoSearchString": "x",
"scmHost": "x"
},
"repositoryUrls": {
"repoUrls": [
"x"
]
}
}
},
"manual": {},
"pullRequest": {
"id": "id",
"author": "author",
"draft": true,
"fromBranch": "fromBranch",
"repository": {
"cloneUrl": "cloneUrl",
"host": "host",
"name": "name",
"owner": "owner"
},
"state": "STATE_UNSPECIFIED",
"title": "title",
"toBranch": "toBranch",
"url": "url"
},
"time": {
"triggeredAt": "2019-12-27T18:11:19.117Z"
}
}
},
"status": {
"doneActionCount": 0,
"failedActionCount": 0,
"failureMessage": "failureMessage",
"failures": [
{
"code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
"message": "message",
"meta": {
"foo": "string"
},
"reason": "reason",
"retry": {
"retriable": true,
"retryAfter": "+9125115.360s"
}
}
],
"pendingActionCount": 0,
"phase": "WORKFLOW_EXECUTION_PHASE_UNSPECIFIED",
"runningActionCount": 0,
"session": "session",
"stoppedActionCount": 0,
"warningMessage": "warningMessage",
"warnings": [
{
"code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
"message": "message",
"meta": {
"foo": "string"
},
"reason": "reason",
"retry": {
"retriable": true,
"retryAfter": "+9125115.360s"
}
}
]
}
}
}Returns Examples
{
"workflowExecution": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"metadata": {
"creator": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"executor": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"principal": "PRINCIPAL_UNSPECIFIED"
},
"finishedAt": "2019-12-27T18:11:19.117Z",
"startedAt": "2019-12-27T18:11:19.117Z",
"workflowId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"spec": {
"action": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"desiredPhase": "WORKFLOW_EXECUTION_PHASE_UNSPECIFIED",
"report": {
"limits": {
"maxParallel": 0,
"maxTotal": 0,
"perExecution": {
"maxTime": "+9125115.360s"
}
},
"steps": [
{
"agent": {
"prompt": "prompt"
},
"pullRequest": {
"branch": "branch",
"description": "description",
"draft": true,
"title": "title"
},
"report": {
"outputs": [
{
"acceptanceCriteria": "acceptanceCriteria",
"boolean": {},
"command": "command",
"float": {
"max": 0,
"min": 0
},
"integer": {
"max": 0,
"min": 0
},
"key": "key",
"prompt": "prompt",
"string": {
"pattern": "pattern"
},
"title": "title"
}
]
},
"task": {
"command": "command"
}
}
]
},
"session": "session",
"trigger": {
"context": {
"agent": {
"prompt": "prompt"
},
"fromTrigger": {},
"projects": {
"projectIds": [
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
]
},
"repositories": {
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"repoSelector": {
"repoSearchString": "x",
"scmHost": "x"
},
"repositoryUrls": {
"repoUrls": [
"x"
]
}
}
},
"manual": {},
"pullRequest": {
"id": "id",
"author": "author",
"draft": true,
"fromBranch": "fromBranch",
"repository": {
"cloneUrl": "cloneUrl",
"host": "host",
"name": "name",
"owner": "owner"
},
"state": "STATE_UNSPECIFIED",
"title": "title",
"toBranch": "toBranch",
"url": "url"
},
"time": {
"triggeredAt": "2019-12-27T18:11:19.117Z"
}
}
},
"status": {
"doneActionCount": 0,
"failedActionCount": 0,
"failureMessage": "failureMessage",
"failures": [
{
"code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
"message": "message",
"meta": {
"foo": "string"
},
"reason": "reason",
"retry": {
"retriable": true,
"retryAfter": "+9125115.360s"
}
}
],
"pendingActionCount": 0,
"phase": "WORKFLOW_EXECUTION_PHASE_UNSPECIFIED",
"runningActionCount": 0,
"session": "session",
"stoppedActionCount": 0,
"warningMessage": "warningMessage",
"warnings": [
{
"code": "WORKFLOW_ERROR_CODE_UNSPECIFIED",
"message": "message",
"meta": {
"foo": "string"
},
"reason": "reason",
"retry": {
"retriable": true,
"retryAfter": "+9125115.360s"
}
}
]
}
}
}